PixVerse V5 - Create video from text
Generate a video from a text prompt using the PixVerse-V5 text-to-video model. Control aspect ratio, resolution, duration and visual style directly from the request body.
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Body
Text prompt describing the video to generate
The aspect ratio of the generated video
widescreen_16_9, classic_4_3, square_1_1, traditional_3_4, social_story_9_16 The resolution of the generated video
360p, 540p, 720p, 1080p The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds.
5, 8 Negative prompt to be used for the generation
The style of the generated video
anime, 3d_animation, clay, cyberpunk, comic "anime"
The same seed and the same prompt given to the same version of the model will output the same video every time
Optional callback URL that will receive asynchronous notifications whenever the task changes status. The payload sent to this URL is the same as the corresponding GET endpoint response, but without the data field.
"https://www.example.com/webhook"
Response
OK